Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects.metadata
Class MetaDataService

    java.lang.Object
      com.sun.mdm.index.objects.metadata.MetaDataService

public class MetaDataService
extends java.lang.Object

Constructor Summary
`MetaDataService()` Creates a new instance of MetaDataService

Method Summary
`static java.lang.String[]` | `getChildTypePaths(java.lang.String path)` returns valid children types
`static java.lang.String[]` | `getChildTypes(java.lang.String path)` gets array of child type(s)
`static java.lang.String` | `getColumnName(java.lang.String path)` gets column name by a field path
`static java.lang.String[][]` | `getColumnNameTypes(java.lang.String path)` gets column names and types by object path
`static java.lang.String` | `getColumnType(java.lang.String path)` gets column type by field path
`static java.lang.String` | `getConstraintBy(java.lang.String path)` gets constraint by by field path for AUXID pull down
`static java.lang.String` | `getDateFormat()` gets Date Format
`static DBMetaAttribute` | `getDBAttribute(java.lang.String path)` returns database meta information on the object indicated by 'tag'
`static java.lang.String[]` | `getDBParentTableNames(java.lang.String path)` returns object's parent table name
`static java.lang.String[]` | `getDBParentTablePK(java.lang.String path)` returns primary keys on the parent table
`static java.lang.String[]` | `getDBTableFK(java.lang.String path)` returns foreign keys on the object table
`static java.lang.String[]` | `getDBTableFK(java.lang.String path, java.lang.String parent)` returns foreign keys on the object table
`static java.lang.String` | `getDBTableName(java.lang.String path)` returns name of the object table
`static java.lang.String[]` | `getDBTablePK(java.lang.String path)` return primary keys on object table
`static java.lang.String` | `getFieldName(java.lang.String path)` gets field name by field path
`static java.lang.String[]` | `getFieldPaths(java.lang.String path)` gets field paths
`static java.lang.String[]` | `getFields(java.lang.String path)` gets all fields
`static int` | `getFieldSize(java.lang.String path)` gets field size by field path
`static java.lang.String` | `getFieldType(java.lang.String path)` gets field type by field path
`static java.lang.String[]` | `getObjectFK(java.lang.String path)` returns foreign keys on the object node
`static java.lang.String[]` | `getObjectKeys(java.lang.String path)` gets Object Keys by a object name
`static java.lang.String` | `getParentType(java.lang.String path)` gets parent object tag
`static java.lang.String` | `getParentTypePath(java.lang.String path)` gets full parent path
`static java.lang.String[]` | `getPrimaryKey(java.lang.String path)` return object primary key field names, that have corresponding PK in the table.
`static java.lang.String` | `getSBRPath(java.lang.String path)` gets SystemSBR path by a object name
`static java.lang.String` | `getSOPath(java.lang.String path)` gets SystemObject path by a object name
`static java.lang.String` | `getUserCode(java.lang.String path)` gets user code by field path for AUXID pull down
`static boolean` | `isFieldRequired(java.lang.String path)` gets field required by field path
`static boolean` | `isFieldUpdateable(java.lang.String path)` gets field updateable by field path
`static void` | `main(java.lang.String[] args)` tester
`static void` | `registerObjectDefinition(java.io.InputStream objectDef)`
`static void` | `selectObjectDefinition(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaDataService

    public MetaDataService()

  Creates a new instance of MetaDataService

Method Detail

### getChildTypePaths

    public static java.lang.String[] getChildTypePaths(java.lang.String path)

  returns valid children types

  Parameters:
    `path` - object path
  Returns:
    array of chldren tags

### getChildTypes

    public static java.lang.String[] getChildTypes(java.lang.String path)
                                            throws ObjectException

  gets array of child type(s)

  Parameters:
    `path` - object path
  Returns:
    String[]
  Throws:
    `ObjectException` - ObjectException

### getColumnName

    public static java.lang.String getColumnName(java.lang.String path)

  gets column name by a field path

  Parameters:
    `path` - field path
  Returns:
    String column name

### getColumnNameTypes

    public static java.lang.String[][] getColumnNameTypes(java.lang.String path)
                                                   throws ObjectException

  gets column names and types by object path

  Parameters:
    `path` - field path
  Returns:
    String[][] array of column names and types
  Throws:
    `ObjectException` - ObjectException

### getColumnType

    public static java.lang.String getColumnType(java.lang.String path)

  gets column type by field path

  Parameters:
    `path` - field path
  Returns:
    String

### getConstraintBy

    public static java.lang.String getConstraintBy(java.lang.String path)

  gets constraint by by field path for AUXID pull down

  Parameters:
    `path` - field path
  Returns:
    String constraint by value

### getDateFormat

    public static java.lang.String getDateFormat()

  gets Date Format

  Returns:
    String Date Format

### getDBAttribute

    public static DBMetaAttribute getDBAttribute(java.lang.String path)
                                          throws ObjectException

  returns database meta information on the object indicated by 'tag'

  Parameters:
    `path` - object path
  Returns:
    DBMetaAttribute structure
  Throws:
    `ObjectException` - ObjectException

### getDBParentTableNames

    public static java.lang.String[] getDBParentTableNames(java.lang.String path)
                                                    throws ObjectException

  returns object's parent table name

  Parameters:
    `path` - object path
  Returns:
    parent table name
  Throws:
    `ObjectException` - ObjectException

### getDBParentTablePK

    public static java.lang.String[] getDBParentTablePK(java.lang.String path)
                                                 throws ObjectException

  returns primary keys on the parent table

  Parameters:
    `path` - object path
  Returns:
    array of primary keys
  Throws:
    `ObjectException` - ObjectException

### getDBTableFK

    public static java.lang.String[] getDBTableFK(java.lang.String path)

  returns foreign keys on the object table

  Parameters:
    `path` - object path
  Returns:
    array of foreign keys

### getDBTableFK

    public static java.lang.String[] getDBTableFK(java.lang.String path,
                                                  java.lang.String parent)

  returns foreign keys on the object table

  Parameters:
    `path` - object path
    `parent` - parent object tag
  Returns:
    array of foreign keys

### getDBTableName

    public static java.lang.String getDBTableName(java.lang.String path)

  returns name of the object table

  Parameters:
    `path` - object path
  Returns:
    table name

### getDBTablePK

    public static java.lang.String[] getDBTablePK(java.lang.String path)

  return primary keys on object table

  Parameters:
    `path` - object path
  Returns:
    an array of primary keys

### getFieldName

    public static java.lang.String getFieldName(java.lang.String path)

  gets field name by field path

  Parameters:
    `path` - field path
  Returns:
    String field name

### getFieldPaths

    public static java.lang.String[] getFieldPaths(java.lang.String path)
                                            throws ObjectException

  gets field paths

  Parameters:
    `path` - object path
  Returns:
    parent tag
  Throws:
    `ObjectException` - ObjectException

### getFields

    public static java.lang.String[] getFields(java.lang.String path)
                                        throws ObjectException

  gets all fields

  Parameters:
    `path` - object path
  Returns:
    String[] fields
  Throws:
    `ObjectException` - ObjectException

### getFieldSize

    public static int getFieldSize(java.lang.String path)
                            throws ObjectException

  gets field size by field path

  Parameters:
    `path` - field path
  Returns:
    int field size
  Throws:
    `ObjectException` - if necessary

### getFieldType

    public static java.lang.String getFieldType(java.lang.String path)

  gets field type by field path

  Parameters:
    `path` - field path
  Returns:
    String field type

### getObjectFK

    public static java.lang.String[] getObjectFK(java.lang.String path)

  returns foreign keys on the object node

  Parameters:
    `path` - object path
  Returns:
    array of foreign keys

### getObjectKeys

    public static java.lang.String[] getObjectKeys(java.lang.String path)

  gets Object Keys by a object name

  Parameters:
    `path` - object path
  Returns:
    String[] object keys

### getParentType

    public static java.lang.String getParentType(java.lang.String path)
                                          throws ObjectException

  gets parent object tag

  Parameters:
    `path` - object path
  Returns:
    String parent object tag
  Throws:
    `ObjectException` - ObjectException

### getParentTypePath

    public static java.lang.String getParentTypePath(java.lang.String path)

  gets full parent path

  Parameters:
    `path` - object path
  Returns:
    parent tag

### getPrimaryKey

    public static java.lang.String[] getPrimaryKey(java.lang.String path)

  return object primary key field names, that have corresponding PK in the table. Note: This is different than Object keys.

  Parameters:
    `path` - object path
  Returns:
    an array of primary key names

### getSBRPath

    public static java.lang.String getSBRPath(java.lang.String path)

  gets SystemSBR path by a object name

  Parameters:
    `path` - object path
  Returns:
    String SystemSBR full path

### getSOPath

    public static java.lang.String getSOPath(java.lang.String path)

  gets SystemObject path by a object name

  Parameters:
    `path` - object path
  Returns:
    String SystemObject full path

### getUserCode

    public static java.lang.String getUserCode(java.lang.String path)

  gets user code by field path for AUXID pull down

  Parameters:
    `path` - field path
  Returns:
    String user code value

### isFieldRequired

    public static boolean isFieldRequired(java.lang.String path)

  gets field required by field path

  Parameters:
    `path` - field path
  Returns:
    boolean field required or not

### isFieldUpdateable

    public static boolean isFieldUpdateable(java.lang.String path)

  gets field updateable by field path

  Parameters:
    `path` - field path
  Returns:
    boolean field updateable or not

### main

    public static void main(java.lang.String[] args)

  tester

  Parameters:
    `args` - command line parameters

### registerObjectDefinition

    public static void registerObjectDefinition(java.io.InputStream objectDef)
                                         throws ParserException

  Throws:
    `ParserException`

### selectObjectDefinition

    public static void selectObjectDefinition(java.lang.String name)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.